<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output method="xml" omit-xml-declaration="yes"/>


<xsl:template name="index-4-style-and-script">

<!--*****************These are system variables	the skin uses....do not	change these***************-->
<xsl:variable name="file-container"><xsl:call-template name="substring-after-last"><xsl:with-param name="string" select="files/file[1]/fileURL"	/><xsl:with-param name="delimiter" select="'.'"	/></xsl:call-template></xsl:variable>
<xsl:variable name="short-plot"><xsl:call-template name="substring-before-last"><xsl:with-param	name="string" select="plot" /><xsl:with-param name="delimiter" select="'.'" /></xsl:call-template></xsl:variable>
<xsl:variable name="plot"><xsl:value-of	select="plot"/></xsl:variable>
<xsl:variable name="typeA"><xsl:call-template name="substring-after-last"><xsl:with-param name="string"	select="files/file[1]/fileURL" /><xsl:with-param name="delimiter" select="'file:///opt/sybhttpd/localhost.drives/'" /></xsl:call-template></xsl:variable>
<xsl:variable name="typeB"><xsl:call-template name="plot"><xsl:with-param name="string"	select="$typeA"	/><xsl:with-param name="delimiter" select="'/'"	/></xsl:call-template></xsl:variable>
<xsl:variable name="fileplace"><xsl:call-template name="substring-after-last"><xsl:with-param name="string" select="files/file[1]/fileURL" /><xsl:with-param name="delimiter" select="'file:///opt/sybhttpd/localhost.drives/'"	/></xsl:call-template></xsl:variable>

<!--********************End of system variables*****************************-->

<style>

		
		#image1 {position:absolute;left:60;top:1;visibility:visible;}
		#image2 {position:absolute;left:60;top:213;visibility:visible;}
		#image3 {position:absolute;left:60;top:425;visibility:visible;}
		
		#image4 {position:absolute;left:200;top:1;visibility:visible;}
		#image5 {position:absolute;left:200;top:213;visibility:visible;}
		#image6 {position:absolute;left:200;top:425;visibility:visible;}
		
		#image7 {position:absolute;left:340;top:1;visibility:visible;}
		#image8 {position:absolute;left:340;top:213;visibility:visible;}
		#image9 {position:absolute;left:340;top:425;visibility:visible;}

		#image10 {position:absolute;left:480;top:1;visibility:visible;}
		#image11 {position:absolute;left:480;top:213;visibility:visible;}
		#image12 {position:absolute;left:480;top:425;visibility:visible;}

		#image13 {position:absolute;left:620;top:1;visibility:visible;}
		#image14 {position:absolute;left:620;top:213;visibility:visible;}
		#image15 {position:absolute;left:620;top:425;visibility:visible;}

		#image16 {position:absolute;left:760;top:1;visibility:visible;}
		#image17 {position:absolute;left:760;top:213;visibility:visible;}
		#image18 {position:absolute;left:760;top:425;visibility:visible;}

		#image19 {position:absolute;left:900;top:1;visibility:visible;}
		#image20 {position:absolute;left:900;top:213;visibility:visible;}
		#image21 {position:absolute;left:900;top:425;visibility:visible;}
		
		
		#changemovie {visibility:hidden}

		#walltitle {position:absolute;left:290;top:150;visibility:visible;font-size:18pt;font-weight:normal;color:white;}
		#titlebar {position:absolute;left:260;top:125;visibility:visible;}
		#walltitle2 {position:absolute;left:290;top:170;visibility:visible;font-size:18pt;font-weight:normal;color:white;}
		#walltitle3 {position:absolute;left:290;top:190;visibility:visible;font-size:18pt;font-weight:normal;color:white;}


</style><style>

#detailimagetest {visibility:hidden;}
#fanartimagetest {visibility:hidden;}
#backgroundimagetest {visibility:hidden;}
#plottest {visibility:hidden;font-size:14pt;font-weight:normal;}
#titletest {visibility:hidden;font-size:15pt;}
#ratingtest {visibility:hidden;font-size:15pt;font-weight:normal;}
#imdbtest {visibility:hidden;font-size:15pt;font-weight:normal;}
#casttest {visibility:hidden;font-size:15pt;font-weight:normal;}
#releasedatetest {visibility:hidden;font-size:13pt;}
#resolutiontest {visibility:hidden;font-size:15pt;font-weight:normal;}
#fpstest {visibility:hidden;font-size:15pt;font-weight:normal;}
#containertest {visibility:hidden;font-size:15pt;font-weight:normal;}
#audiotest {visibility:hidden;font-size:15pt;font-weight:normal;}
#channelstest {visibility:hidden;font-size:15pt;font-weight:normal;}
#subtitlestest {visibility:hidden;font-size:15pt;font-weight:normal;}
#sizetest {visibility:hidden;font-weight:normal;}
#changefile {visibility:hidden;font-size:15pt;font-weight:normal;}

</style>

<style>

#list1 {position:absolute;left:400;top:50;visibility:hidden;}
#list2 {position:absolute;left:400;top:100;visibility:hidden;}
#list3 {position:absolute;left:400;top:150;visibility:hidden;}
#list4 {position:absolute;left:400;top:200;visibility:hidden;}
#list5 {position:absolute;left:400;top:250;visibility:hidden;font-size:20pt;}
#list6 {position:absolute;left:400;top:300;visibility:hidden;}
#list7 {position:absolute;left:400;top:350;visibility:hidden;}
#list8 {position:absolute;left:400;top:400;visibility:hidden;}
#list9 {position:absolute;left:400;top:450;visibility:hidden;}
#list10 {position:absolute;left:400;top:500;visibility:hidden;}
#listimage {position:absolute;left:150;top:150;visibility:hidden;}

</style>
<style>
#change {position:absolute;left:400;top:300;visibility:hidden;}
#menu1 {position:absolute;left:150;top:310;visibility:hidden;font-size:15pt}
#menu2 {position:absolute;left:250;top:310;visibility:hidden;font-size:15pt}
#menu3 {position:absolute;left:600;top:310;visibility:hidden;font-size:15pt}
#menu4 {position:absolute;left:650;top:310;visibility:hidden;font-size:15pt}
#menu5 {position:absolute;left:700;top:310;visibility:hidden;font-size:15pt}
#menu6 {position:absolute;left:400;top:250;visibility:hidden;font-size:15pt}
#menu7 {position:absolute;left:400;top:350;visibility:hidden;font-size:15pt}
</style>

<title>MovieJukebox</title>
<script type="text/javascript" src="pictures/passit.js">&#160;</script>





<xsl:for-each select="library/movies/movie[@isExtra!='true']">
<script>
	var movie<xsl:value-of select="position()-1"/>= new Array();

	movie<xsl:value-of select="position()-1"/>['plot']="<xsl:value-of select="concat(substring(translate(plot,'&quot;', &quot;'&quot;), 1, 625), '.')" />"
	movie<xsl:value-of select="position()-1"/>['title']="<xsl:value-of select="translate(title,'&#58;', &quot;-&quot;)" disable-output-escaping="yes"/><xsl:if test="season != -1"> - Season <xsl:value-of select="season" /></xsl:if>"
	movie<xsl:value-of select="position()-1"/>['rating']="<xsl:value-of select="certification"/>"
	movie<xsl:value-of select="position()-1"/>['imdb']="<xsl:value-of select='rating'/>"
	movie<xsl:value-of select="position()-1"/>['cast']="<xsl:for-each select="director[position()&lt;2]"><xsl:choose><xsl:when test="@index"><xsl:value-of select="@index"/>.html#<xsl:value-of select="." /></xsl:when><xsl:otherwise><xsl:value-of select="." /></xsl:otherwise></xsl:choose></xsl:for-each>,Starring:,<xsl:if test="count(cast/actor)!=0"><xsl:for-each select="cast/actor[position()&lt;6]"><xsl:choose><xsl:when test="@index"><xsl:value-of select="@index"/>.html#<xsl:value-of select="." /><xsl:if test="position() != 5">,</xsl:if></xsl:when><xsl:otherwise><xsl:value-of select="." /><xsl:if test="position() != 5">,</xsl:if></xsl:otherwise></xsl:choose><xsl:if test="position() != last()">,</xsl:if></xsl:for-each></xsl:if>]"
	movie<xsl:value-of select="position()-1"/>['releasedate']="<xsl:value-of select="releaseDate"/>"
	movie<xsl:value-of select="position()-1"/>['resolution']="<xsl:value-of select="resolution"/>"
	movie<xsl:value-of select="position()-1"/>['fps']="<xsl:value-of select="fps"/>"
	movie<xsl:value-of select="position()-1"/>['container']="<xsl:value-of select="container"/>"
	movie<xsl:value-of select="position()-1"/>['audio']="<xsl:value-of select="audioCodec"/>"
	movie<xsl:value-of select="position()-1"/>['channels']="<xsl:value-of select="audioChannels"/>"
	movie<xsl:value-of select="position()-1"/>['subtitles']="<xsl:value-of select="subtitles"/>"
	movie<xsl:value-of select="position()-1"/>['size']="<xsl:value-of select="fileSize"/>"
	movie<xsl:value-of select="position()-1"/>['basefilename']="<xsl:value-of select="baseFilename"/>"
	movie<xsl:value-of select="position()-1"/>['poster']="<xsl:value-of select="posterFile"/>"
	movie<xsl:value-of select="position()-1"/>['thumbnail']="<xsl:value-of select="thumbnail"/>"
	movie<xsl:value-of select="position()-1"/>['detailposter']="<xsl:value-of select="detailPosterFile"/>"
	movie<xsl:value-of select="position()-1"/>['fanart']="<xsl:value-of select="fanartFile"/>"
	movie<xsl:value-of select="position()-1"/>['background']="pictures/redefinedbg.png"
	movie<xsl:value-of select="position()-1"/>['file']="<xsl:choose><xsl:when test="count(files/file) > 1"><xsl:value-of select="baseFilename"/>.playlist.jsp</xsl:when><xsl:otherwise><xsl:call-template name="substring-after-last"><xsl:with-param name="string" select="files/file[1]/fileURL" /><xsl:with-param name="delimiter" select="'file:///opt/sybhttpd/localhost.drives/'" /></xsl:call-template></xsl:otherwise></xsl:choose>"
	movie<xsl:value-of select="position()-1"/>['type']="<xsl:choose><xsl:when test="count(files/file) > 1">playlist</xsl:when><xsl:when test="container='DVD Video' or container='dvd video'">zcd</xsl:when><xsl:when test="container = 'ISO' or ends-with(files/file[1]/fileURL, '.ISO') or ends-with(files/file[1]/fileURL, '.iso')">zcd</xsl:when><xsl:when test="container = 'IMG' or ends-with(files/file[1]/fileURL, '.IMG') or ends-with(files/file[1]/fileURL, '.img')">zcd</xsl:when><xsl:when test="ends-with(files/file[1]/fileURL, 'VIDEO_TS')">zcd</xsl:when><xsl:when test="ends-with(files/file[1]/fileURL, '/')">zcd</xsl:when><xsl:otherwise>vod</xsl:otherwise></xsl:choose>"
	movie<xsl:value-of select="position()-1"/>['type2']="<xsl:value-of select="files/file[1]/playlink"/>"
	movie<xsl:value-of select="position()-1"/>['Vicons']="<xsl:call-template name="videoOutputIndex2"></xsl:call-template>"
	movie<xsl:value-of select="position()-1"/>['Aicons']="<xsl:call-template name="audioCodecIndex2"></xsl:call-template>"
	movie<xsl:value-of select="position()-1"/>['Ricons']="<xsl:call-template name="certificationIndex2"></xsl:call-template>"
	movie<xsl:value-of select="position()-1"/>['Sicons']=<xsl:choose><xsl:when test ="//movies/movie/season ='-1'">"<xsl:call-template name="studioIndex2"></xsl:call-template>"</xsl:when><xsl:otherwise>"<xsl:call-template name="networkIndex2"></xsl:call-template>"</xsl:otherwise></xsl:choose>
	movie<xsl:value-of select="position()-1"/>['mtvs']="<xsl:choose><xsl:when test="@isTV='true'">tvshow</xsl:when><xsl:when test="isSet='true'">set</xsl:when><xsl:otherwise>movie</xsl:otherwise></xsl:choose>"
</script>
</xsl:for-each>

<script>
var movie= new Array();
</script>
<xsl:for-each select="library/movies/movie[@isExtra!='true']">
 <script>
movie[<xsl:value-of select="position()-1"/>]=movie<xsl:value-of select="position()-1"/>;
 </script>
</xsl:for-each>




<script>
var yon=0;
var searching=1;
var searchlist=0;
var input=0;
var yon=0;
var titlelow=0;
var inputlow=0;
var yonda=0;
var toggle=1;
var view="3row";
var enlargenum3row=1;
var enlargenum2row=1;
var dtoggle=0;


</script>
<script>
var image1CSS=document.styleSheets[1].cssRules[0].style
var image2CSS=document.styleSheets[1].cssRules[1].style
var image3CSS=document.styleSheets[1].cssRules[2].style
var image4CSS=document.styleSheets[1].cssRules[3].style
var image5CSS=document.styleSheets[1].cssRules[4].style
var image6CSS=document.styleSheets[1].cssRules[5].style
var image7CSS=document.styleSheets[1].cssRules[6].style
var image8CSS=document.styleSheets[1].cssRules[7].style
var image9CSS=document.styleSheets[1].cssRules[8].style
var image10CSS=document.styleSheets[1].cssRules[9].style
var image11CSS=document.styleSheets[1].cssRules[10].style
var image12CSS=document.styleSheets[1].cssRules[11].style
var image13CSS=document.styleSheets[1].cssRules[12].style
var image14CSS=document.styleSheets[1].cssRules[13].style
var image15CSS=document.styleSheets[1].cssRules[14].style
var image16CSS=document.styleSheets[1].cssRules[15].style
var image17CSS=document.styleSheets[1].cssRules[16].style
var image18CSS=document.styleSheets[1].cssRules[17].style
var image19CSS=document.styleSheets[1].cssRules[18].style
var image20CSS=document.styleSheets[1].cssRules[19].style
var image21CSS=document.styleSheets[1].cssRules[20].style

var wallTitle1CSS=document.styleSheets[1].cssRules[22].style
var titleBarCSS=document.styleSheets[1].cssRules[23].style
var wallTitle2CSS=document.styleSheets[1].cssRules[24].style
var wallTitle3CSS=document.styleSheets[1].cssRules[25].style

var detailImageCSS=document.styleSheets[2].cssRules[0].style
var fanartCSS=document.styleSheets[2].cssRules[1].style
var detailBkgndCSS=document.styleSheets[2].cssRules[2].style
var plotCSS=document.styleSheets[2].cssRules[3].style
var detailTitleCSS=document.styleSheets[2].cssRules[4].style
var ratingCSS=document.styleSheets[2].cssRules[5].style
var imdbCSS=document.styleSheets[2].cssRules[6].style
var castCSS=document.styleSheets[2].cssRules[7].style
var releaseDateCSS=document.styleSheets[2].cssRules[8].style
var resolutionCSS=document.styleSheets[2].cssRules[9].style
var fpsCSS=document.styleSheets[2].cssRules[10].style
var containerCSS=document.styleSheets[2].cssRules[11].style
var subtitlesCSS=document.styleSheets[2].cssRules[12].style
var sizeCSS=document.styleSheets[2].cssRules[13].style
var changefileCSS=document.styleSheets[2].cssRules[14].style


var list1CSS=document.styleSheets[3].cssRules[0].style
var list2CSS=document.styleSheets[3].cssRules[1].style
var list3CSS=document.styleSheets[3].cssRules[2].style
var list4CSS=document.styleSheets[3].cssRules[3].style
var list5CSS=document.styleSheets[3].cssRules[4].style
var list6CSS=document.styleSheets[3].cssRules[5].style
var list7CSS=document.styleSheets[3].cssRules[6].style
var list8CSS=document.styleSheets[3].cssRules[7].style
var list9CSS=document.styleSheets[3].cssRules[8].style
var list10CSS=document.styleSheets[3].cssRules[9].style
var listimageCSS=document.styleSheets[3].cssRules[10].style

</script>


<script>

var switchTime=0;
var testmove=0;
var yonsa=0;




function moviechange4(y)
{
var glen = movie.length
var ending = glen - 1
var last = ending - 1

if (yon+y<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>0)
	{
		yon=ending
	}
else if (yon+y<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>ending)
	{
		yon=0
	}
else
	{
		yon=yon+y
	}


if (view=="3row")
{

document.getElementById('link1').setAttribute('href', "#movie"+(yon + movie.length) % movie.length);
document.getElementById('link2').setAttribute('href', "#movie"+(yon +1+ movie.length) % movie.length);
document.getElementById('link3').setAttribute('href', "#movie"+(yon +2+ movie.length) % movie.length);
document.getElementById('link4').setAttribute('href', "#movie"+(yon +3+ movie.length) % movie.length);
document.getElementById('link5').setAttribute('href', "#movie"+(yon +4+ movie.length) % movie.length);
document.getElementById('link6').setAttribute('href', "#movie"+(yon +5+ movie.length) % movie.length);
document.getElementById('link7').setAttribute('href', "#movie"+(yon +6+ movie.length) % movie.length);
document.getElementById('link8').setAttribute('href', "#movie"+(yon +7+ movie.length) % movie.length);
document.getElementById('link9').setAttribute('href', "#movie"+(yon +8+ movie.length) % movie.length);
document.getElementById('link10').setAttribute('href', "#movie"+(yon +9+ movie.length) % movie.length);


document.getElementById('link11').setAttribute('href', "#movie"+(yon +10+ movie.length) % movie.length);
document.getElementById('link12').setAttribute('href', "#movie"+(yon +11+ movie.length) % movie.length);
document.getElementById('link13').setAttribute('href', "#movie"+(yon +12+ movie.length) % movie.length);
document.getElementById('link14').setAttribute('href', "#movie"+(yon +13+ movie.length) % movie.length);
document.getElementById('link15').setAttribute('href', "#movie"+(yon +14+ movie.length) % movie.length);
document.getElementById('link16').setAttribute('href', "#movie"+(yon +15+ movie.length) % movie.length);
document.getElementById('link17').setAttribute('href', "#movie"+(yon +16+ movie.length) % movie.length);
document.getElementById('link18').setAttribute('href', "#movie"+(yon +17+ movie.length) % movie.length);
document.getElementById('link19').setAttribute('href', "#movie"+(yon +18+ movie.length) % movie.length);
document.getElementById('link20').setAttribute('href', "#movie"+(yon +19+ movie.length) % movie.length);
document.getElementById('link21').setAttribute('href', "#movie"+(yon +20+ movie.length) % movie.length);



document.getElementById('image1').setAttribute('src', movie[(yon + movie.length) % movie.length]['thumbnail']);
document.getElementById('image2').setAttribute('src', movie[(yon +1+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image3').setAttribute('src', movie[(yon +2+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image4').setAttribute('src', movie[(yon +3+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image5').setAttribute('src', movie[(yon +4+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image6').setAttribute('src', movie[(yon +5+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image7').setAttribute('src', movie[(yon +6+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image8').setAttribute('src', movie[(yon +7+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image9').setAttribute('src', movie[(yon +8+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image10').setAttribute('src', movie[(yon +9+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image11').setAttribute('src', movie[(yon +10+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image12').setAttribute('src', movie[(yon +11+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image13').setAttribute('src', movie[(yon +12+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image14').setAttribute('src', movie[(yon +13+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image15').setAttribute('src', movie[(yon +14+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image16').setAttribute('src', movie[(yon +15+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image17').setAttribute('src', movie[(yon +16+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image18').setAttribute('src', movie[(yon +17+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image19').setAttribute('src', movie[(yon +18+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image20').setAttribute('src', movie[(yon +19+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image21').setAttribute('src', movie[(yon +20+ movie.length) % movie.length]['thumbnail']);

}

else if (view=="2row")
{
document.getElementById('link1').setAttribute('href', "#movie"+(yon + movie.length) % movie.length);
document.getElementById('link2').setAttribute('href', "#movie"+(yon +1+ movie.length) % movie.length);
document.getElementById('link3').setAttribute('href', "#movie"+(yon +2+ movie.length) % movie.length);
document.getElementById('link4').setAttribute('href', "#movie"+(yon +3+ movie.length) % movie.length);
document.getElementById('link5').setAttribute('href', "#movie"+(yon +4+ movie.length) % movie.length);
document.getElementById('link6').setAttribute('href', "#movie"+(yon +5+ movie.length) % movie.length);
document.getElementById('link7').setAttribute('href', "#movie"+(yon +6+ movie.length) % movie.length);
document.getElementById('link8').setAttribute('href', "#movie"+(yon +7+ movie.length) % movie.length);
document.getElementById('link9').setAttribute('href', "#movie"+(yon +8+ movie.length) % movie.length);
document.getElementById('link10').setAttribute('href', "#movie"+(yon +9+ movie.length) % movie.length);


document.getElementById('link11').setAttribute('href', "#movie"+(yon +10+ movie.length) % movie.length);
document.getElementById('link12').setAttribute('href', "#movie"+(yon +11+ movie.length) % movie.length);




document.getElementById('image1').setAttribute('src', movie[(yon + movie.length) % movie.length]['thumbnail']);
document.getElementById('image2').setAttribute('src', movie[(yon +1+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image3').setAttribute('src', movie[(yon +2+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image4').setAttribute('src', movie[(yon +3+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image5').setAttribute('src', movie[(yon +4+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image6').setAttribute('src', movie[(yon +5+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image7').setAttribute('src', movie[(yon +6+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image8').setAttribute('src', movie[(yon +7+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image9').setAttribute('src', movie[(yon +8+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image10').setAttribute('src', movie[(yon +9+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image11').setAttribute('src', movie[(yon +10+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image12').setAttribute('src', movie[(yon +11+ movie.length) % movie.length]['thumbnail']);




}



	document.getElementById('list1').firstChild.nodeValue=movie[(yon -4 + movie.length) % movie.length]['title'];
	document.getElementById('list2').firstChild.nodeValue=movie[(yon -3 + movie.length) % movie.length]['title'];
	document.getElementById('list3').firstChild.nodeValue=movie[(yon -2 + movie.length) % movie.length]['title'];
	document.getElementById('list4').firstChild.nodeValue=movie[(yon -1 + movie.length) % movie.length]['title'];
	document.getElementById('list5').firstChild.nodeValue=movie[(yon + movie.length) % movie.length]['title'];
	document.getElementById('list6').firstChild.nodeValue=movie[(yon +1 + movie.length) % movie.length]['title'];
	document.getElementById('list7').firstChild.nodeValue=movie[(yon +2 + movie.length) % movie.length]['title'];
	document.getElementById('list8').firstChild.nodeValue=movie[(yon +3 + movie.length) % movie.length]['title'];
	document.getElementById('list9').firstChild.nodeValue=movie[(yon +4 + movie.length) % movie.length]['title'];
	document.getElementById('list10').firstChild.nodeValue=movie[(yon +5 + movie.length) % movie.length]['title'];

document.getElementById('listimage').setAttribute('src', movie[(yon + movie.length) % movie.length]['thumbnail']);

document.getElementById('list5').setAttribute('href', "#movie"+(yon + movie.length) % movie.length);



if (view=="3row")
	{
		enlarge(enlargenum3row);
	
	}

else if (view=="2row")
		{
		enlarge(enlargenum2row)
	
		}
else
	{
		return
	}

}

</script><script>
function initpage()
{


document.getElementById('link1').setAttribute('href', "#movie"+(yon + movie.length) % movie.length);
document.getElementById('link2').setAttribute('href', "#movie"+(yon +1+ movie.length) % movie.length);
document.getElementById('link3').setAttribute('href', "#movie"+(yon +2+ movie.length) % movie.length);
document.getElementById('link4').setAttribute('href', "#movie"+(yon +3+ movie.length) % movie.length);
document.getElementById('link5').setAttribute('href', "#movie"+(yon +4+ movie.length) % movie.length);
document.getElementById('link6').setAttribute('href', "#movie"+(yon +5+ movie.length) % movie.length);
document.getElementById('link7').setAttribute('href', "#movie"+(yon +6+ movie.length) % movie.length);
document.getElementById('link8').setAttribute('href', "#movie"+(yon +7+ movie.length) % movie.length);
document.getElementById('link9').setAttribute('href', "#movie"+(yon +8+ movie.length) % movie.length);
document.getElementById('link10').setAttribute('href', "#movie"+(yon +9+ movie.length) % movie.length);


document.getElementById('link11').setAttribute('href', "#movie"+(yon +10+ movie.length) % movie.length);
document.getElementById('link12').setAttribute('href', "#movie"+(yon +11+ movie.length) % movie.length);
document.getElementById('link13').setAttribute('href', "#movie"+(yon +12+ movie.length) % movie.length);
document.getElementById('link14').setAttribute('href', "#movie"+(yon +13+ movie.length) % movie.length);
document.getElementById('link15').setAttribute('href', "#movie"+(yon +14+ movie.length) % movie.length);
document.getElementById('link16').setAttribute('href', "#movie"+(yon +15+ movie.length) % movie.length);
document.getElementById('link17').setAttribute('href', "#movie"+(yon +16+ movie.length) % movie.length);
document.getElementById('link18').setAttribute('href', "#movie"+(yon +17+ movie.length) % movie.length);
document.getElementById('link19').setAttribute('href', "#movie"+(yon +18+ movie.length) % movie.length);
document.getElementById('link20').setAttribute('href', "#movie"+(yon +19+ movie.length) % movie.length);
document.getElementById('link21').setAttribute('href', "#movie"+(yon +20+ movie.length) % movie.length);



document.getElementById('image1').setAttribute('src', movie[(yon + movie.length) % movie.length]['thumbnail']);
document.getElementById('image2').setAttribute('src', movie[(yon +1+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image3').setAttribute('src', movie[(yon +2+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image4').setAttribute('src', movie[(yon +3+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image5').setAttribute('src', movie[(yon +4+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image6').setAttribute('src', movie[(yon +5+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image7').setAttribute('src', movie[(yon +6+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image8').setAttribute('src', movie[(yon +7+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image9').setAttribute('src', movie[(yon +8+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image10').setAttribute('src', movie[(yon +9+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image11').setAttribute('src', movie[(yon +10+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image12').setAttribute('src', movie[(yon +11+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image13').setAttribute('src', movie[(yon +12+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image14').setAttribute('src', movie[(yon +13+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image15').setAttribute('src', movie[(yon +14+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image16').setAttribute('src', movie[(yon +15+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image17').setAttribute('src', movie[(yon +16+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image18').setAttribute('src', movie[(yon +17+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image19').setAttribute('src', movie[(yon +18+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image20').setAttribute('src', movie[(yon +19+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image21').setAttribute('src', movie[(yon +20+ movie.length) % movie.length]['thumbnail']);


}

	
  </script><script>

function detailtoggle(y)
{

if (dtoggle==0)
{

detailImageCSS.visibility='visible'
fanartCSS.visibility='visible'
detailBkgndCSS.visibility='visible'
plotCSS.visibility='visible'
detailTitleCSS.visibility='visible'
ratingCSS.visibility='visible'
imdbCSS.visibility='visible'
castCSS.visibility='visible'
releaseDateCSS.visibility='visible'
resolutionCSS.visibility='visible'
fpsCSS.visibility='visible'
containerCSS.visibility='visible'
subtitlesCSS.visibility='visible'
sizeCSS.visibility='visible'
changefileCSS.visibility='visible'


	image1CSS.visibility='hidden'
	image2CSS.visibility='hidden'
	image3CSS.visibility='hidden'
	image4CSS.visibility='hidden'
	image5CSS.visibility='hidden'
	image6CSS.visibility='hidden'
	image7CSS.visibility='hidden'
	image8CSS.visibility='hidden'
	image9CSS.visibility='hidden'
	image10CSS.visibility='hidden'
	image11CSS.visibility='hidden'
	image12CSS.visibility='hidden'
	image13CSS.visibility='hidden'
	image14CSS.visibility='hidden'
	image15CSS.visibility='hidden'
	image16CSS.visibility='hidden'
	image17CSS.visibility='hidden'
	image18CSS.visibility='hidden'
	image19CSS.visibility='hidden'
	image20CSS.visibility='hidden'
	image21CSS.visibility='hidden'
	document.styleSheets[1].cssRules[21].style.visibility='hidden'
	wallTitle1CSS.visibility='hidden'
	titleBarCSS.visibility='hidden'
	
	
	
	list1CSS.visibility='hidden'
	list2CSS.visibility='hidden'
	list3CSS.visibility='hidden'
	list4CSS.visibility='hidden'
	list5CSS.visibility='hidden'
	list6CSS.visibility='hidden'
	list7CSS.visibility='hidden'
	list8CSS.visibility='hidden'
	list9CSS.visibility='hidden'
	list10CSS.visibility='hidden'
	listimageCSS.visibility='hidden'


document.getElementById('detailimagetest').setAttribute('src', movie[y]['poster']);
document.getElementById('fanartimagetest').setAttribute('src', movie[y]['fanart']);
document.getElementById('backgroundimagetest').setAttribute('background', movie[y]['background']);
document.getElementById('plottest').firstChild.nodeValue=movie[y]['plot'];
document.getElementById('titletest').firstChild.nodeValue=movie[y]['title'];
document.getElementById('ratingtest').firstChild.nodeValue="Rated:"+movie[y]['rating'];
document.getElementById('imdbtest').firstChild.nodeValue="Imdb:"+movie[y]['imdb'];
document.getElementById('casttest').firstChild.nodeValue="Cast:"+movie[y]['cast'];
document.getElementById('releasedatetest').firstChild.nodeValue="Release Date:"+movie[y]['releasedate'];
document.getElementById('resolutiontest').firstChild.nodeValue="Resolution:"+movie[y]['resolution'];
document.getElementById('fpstest').firstChild.nodeValue="FPS:"+movie[y]['fps'];
document.getElementById('containertest').firstChild.nodeValue="Container:"+movie[y]['container'];
document.getElementById('audiotest').firstChild.nodeValue="Audio:"+movie[y]['audio'];
document.getElementById('channelstest').firstChild.nodeValue="Channels:"+movie[y]['channels'];
document.getElementById('subtitlestest').firstChild.nodeValue="Subtitles:"+movie[y]['subtitles'];
document.getElementById('sizetest').firstChild.nodeValue="File Size:"+movie[y]['size'];


if (movie[y]['type']=='playlist')
		{
			document.getElementById('changefile').setAttribute("href",movie[y]['file']);
		}
	else
		{
			document.getElementById('changefile').setAttribute("href","file:///opt/sybhttpd/localhost.drives/"+movie[y]['file']);
		}

document.getElementById('changefile').removeAttribute('vod');
document.getElementById('changefile').removeAttribute('zcd');

	if (movie[y]['type']=='zcd')
		{
			var newAttribute = document.createAttribute("zcd");
			newAttribute.nodeValue = "2";
			document.getElementById("changefile").setAttributeNode(newAttribute);
			}
	else if (movie[y]['type']=='playlist')
		{
			var newAttribute = document.createAttribute("vod");
			newAttribute.nodeValue = "playlist";
			document.getElementById("changefile").setAttributeNode(newAttribute);
		}
	else 
		{
			var newAttribute = document.createAttribute("vod");
			newAttribute.nodeValue = "";
			document.getElementById("changefile").setAttributeNode(newAttribute);
		}
dtoggle=1;
document.getElementById('detailtoggle').setAttribute('tvid','info');
document.getElementById('navchange').setAttribute('navchange',' ');
  if (toggle==3)
  {
  document.getElementById('detailtoggle').setAttribute("href","#list5");
  }
  else
  {
  document.getElementById('detailtoggle').setAttribute("href","#movies4");
  }

}

else
{
dtoggle=0;

document.getElementById('detailtoggle').setAttribute('tvid',' ');
document.getElementById('navchange').setAttribute('tvid','info');

listtoggle(toggle)
}


return

}
</script>

<script>
function listtoggle(x)
{
toggle=x

if (toggle==3)
{

yon=yon+enlargenum2row-1

detailImageCSS.visibility='hidden'
fanartCSS.visibility='hidden'
detailBkgndCSS.visibility='hidden'
plotCSS.visibility='hidden'
detailTitleCSS.visibility='hidden'
ratingCSS.visibility='hidden'
imdbCSS.visibility='hidden'
castCSS.visibility='hidden'
releaseDateCSS.visibility='hidden'
resolutionCSS.visibility='hidden'
fpsCSS.visibility='hidden'
containerCSS.visibility='hidden'
subtitlesCSS.visibility='hidden'
sizeCSS.visibility='hidden'
changefileCSS.visibility='hidden'

		image1CSS.visibility='hidden'
		image2CSS.visibility='hidden'
		image3CSS.visibility='hidden'
		image4CSS.visibility='hidden'
		image5CSS.visibility='hidden'
		image6CSS.visibility='hidden'
		image7CSS.visibility='hidden'
		image8CSS.visibility='hidden'
		image9CSS.visibility='hidden'
		image10CSS.visibility='hidden'
		image11CSS.visibility='hidden'
		image12CSS.visibility='hidden'
		image13CSS.visibility='hidden'
		image14CSS.visibility='hidden'
		image15CSS.visibility='hidden'
		image16CSS.visibility='hidden'
		image17CSS.visibility='hidden'
		image18CSS.visibility='hidden'
		image19CSS.visibility='hidden'
		image20CSS.visibility='hidden'
		image21CSS.visibility='hidden'



	document.styleSheets[1].cssRules[21].style.visibility='hidden'
	wallTitle1CSS.visibility='hidden'
	titleBarCSS.visibility='hidden'
		wallTitle2CSS.visibility='hidden'
	wallTitle3CSS.visibility='hidden'

	list1CSS.visibility='visible'
	list2CSS.visibility='visible'
	list3CSS.visibility='visible'
	list4CSS.visibility='visible'
	list5CSS.visibility='visible'
	list6CSS.visibility='visible'
	list7CSS.visibility='visible'
	list8CSS.visibility='visible'
	list9CSS.visibility='visible'
	list10CSS.visibility='visible'
	listimageCSS.visibility='visible'

	document.getElementById('list1').firstChild.nodeValue=movie[(yon -4 + movie.length) % movie.length]['title'];
	document.getElementById('list2').firstChild.nodeValue=movie[(yon -3 + movie.length) % movie.length]['title'];
	document.getElementById('list3').firstChild.nodeValue=movie[(yon -2 + movie.length) % movie.length]['title'];
	document.getElementById('list4').firstChild.nodeValue=movie[(yon -1 + movie.length) % movie.length]['title'];
	document.getElementById('list5').firstChild.nodeValue=movie[(yon + movie.length) % movie.length]['title'];
	document.getElementById('list6').firstChild.nodeValue=movie[(yon +1 + movie.length) % movie.length]['title'];
	document.getElementById('list7').firstChild.nodeValue=movie[(yon +2 + movie.length) % movie.length]['title'];
	document.getElementById('list8').firstChild.nodeValue=movie[(yon +3 + movie.length) % movie.length]['title'];
	document.getElementById('list9').firstChild.nodeValue=movie[(yon +4 + movie.length) % movie.length]['title'];
	document.getElementById('list10').firstChild.nodeValue=movie[(yon +5 + movie.length) % movie.length]['title'];

document.getElementById('listimage').setAttribute('src', movie[(yon + movie.length) % movie.length]['thumbnail']);

document.getElementById('navchange').setAttribute("href","#list5");

}


else if (toggle==1)
{


detailImageCSS.visibility='hidden'
fanartCSS.visibility='hidden'
detailBkgndCSS.visibility='hidden'
plotCSS.visibility='hidden'
detailTitleCSS.visibility='hidden'
ratingCSS.visibility='hidden'
imdbCSS.visibility='hidden'
castCSS.visibility='hidden'
releaseDateCSS.visibility='hidden'
resolutionCSS.visibility='hidden'
fpsCSS.visibility='hidden'
containerCSS.visibility='hidden'
subtitlesCSS.visibility='hidden'
sizeCSS.visibility='hidden'
changefileCSS.visibility='hidden'

list1CSS.visibility='hidden'
	list2CSS.visibility='hidden'
	list3CSS.visibility='hidden'
	list4CSS.visibility='hidden'
	list5CSS.visibility='hidden'
	list6CSS.visibility='hidden'
	list7CSS.visibility='hidden'
	list8CSS.visibility='hidden'
	list9CSS.visibility='hidden'
	list10CSS.visibility='hidden'
	listimageCSS.visibility='hidden'


	image1CSS.visibility='visible'
	image2CSS.visibility='visible'
	image3CSS.visibility='visible'
	image4CSS.visibility='visible'
	image5CSS.visibility='visible'
	image6CSS.visibility='visible'
	image7CSS.visibility='visible'
	image8CSS.visibility='visible'
	image9CSS.visibility='visible'
	image10CSS.visibility='visible'

	image11CSS.visibility='visible'
	image12CSS.visibility='visible'
	image13CSS.visibility='visible'
	image14CSS.visibility='visible'
	image15CSS.visibility='visible'
	image16CSS.visibility='visible'
	image17CSS.visibility='visible'
	image18CSS.visibility='visible'
	image19CSS.visibility='visible'
	image20CSS.visibility='visible'
	image21CSS.visibility='visible'
	document.styleSheets[1].cssRules[21].style.visibility='visible'
	wallTitle1CSS.visibility='visible'
	titleBarCSS.visibility='visible'
		wallTitle2CSS.visibility='visible'
	wallTitle3CSS.visibility='visible'
	
        image1CSS.left='60'
	image2CSS.left='60'
	image3CSS.left='60'
	image4CSS.left='200'
	image5CSS.left='200'
	image6CSS.left='200'
	image7CSS.left='340'
	image8CSS.left='340'
	image9CSS.left='340'
	image10CSS.left='480'
	image11CSS.left='480'
	image12CSS.left='480'	
	
	image1CSS.top='1'
	image2CSS.top='213'
	image3CSS.top='425'
	image4CSS.top='1'
	image5CSS.top='213'
	image6CSS.top='425'
	
	image7CSS.top='1'
	image8CSS.top='213'
	image9CSS.top='425'
	image10CSS.top='1'
	image11CSS.top='213'
	image12CSS.top='425'
	
	
	document.getElementById('image1').setAttribute('width', '140');
document.getElementById('image2').setAttribute('width', '140');
document.getElementById('image3').setAttribute('width', '140');
document.getElementById('image4').setAttribute('width', '140');
document.getElementById('image5').setAttribute('width', '140');
document.getElementById('image6').setAttribute('width', '140');
document.getElementById('image7').setAttribute('width', '140');
document.getElementById('image8').setAttribute('width', '140');
document.getElementById('image9').setAttribute('width', '140');
document.getElementById('image10').setAttribute('width', '140');
document.getElementById('image11').setAttribute('width', '140');
document.getElementById('image12').setAttribute('width', '140');



document.getElementById('image1').setAttribute('height', '212');
document.getElementById('image2').setAttribute('height', '212');
document.getElementById('image3').setAttribute('height', '212');
document.getElementById('image4').setAttribute('height', '212');
document.getElementById('image5').setAttribute('height', '212');
document.getElementById('image6').setAttribute('height', '212');
document.getElementById('image7').setAttribute('height', '212');
document.getElementById('image8').setAttribute('height', '212');
document.getElementById('image9').setAttribute('height', '212');
document.getElementById('image10').setAttribute('height', '212');
document.getElementById('image11').setAttribute('height', '212');
document.getElementById('image12').setAttribute('height', '212');

document.getElementById('link1').setAttribute('onkeyleftset', "left1");
document.getElementById('link2').setAttribute('onkeyleftset', "left2");
document.getElementById('link3').setAttribute('onkeyleftset', "left3");
document.getElementById('link7').setAttribute('onkeyleftset', "");
document.getElementById('link8').setAttribute('onkeyleftset', "");

document.getElementById('link6').setAttribute('onkeyrightset', "");
document.getElementById('link12').setAttribute('onkeyrightset', "");
document.getElementById('link7').setAttribute('onkeyrightset', "");
document.getElementById('link19').setAttribute('onkeyrightset', "right19");
document.getElementById('link20').setAttribute('onkeyrightset', "right20");
document.getElementById('link21').setAttribute('onkeyrightset', "right21");


document.getElementById('link1').setAttribute('onkeyupset', "up1");
document.getElementById('link4').setAttribute('onkeyupet', "up4");
document.getElementById('link7').setAttribute('onkeyupset', "up7");
document.getElementById('link10').setAttribute('onkeyupset', "up10");
document.getElementById('link13').setAttribute('onkeyupset', "up13");
document.getElementById('link16').setAttribute('onkeyupset', "up16");
document.getElementById('link19').setAttribute('onkeyupset', "up19");

document.getElementById('link2').setAttribute('onkeyupset', "");
document.getElementById('link3').setAttribute('onkeyupset', "");
document.getElementById('link5').setAttribute('onkeyupset', "");
document.getElementById('link6').setAttribute('onkeyupset', "");


document.getElementById('link7').setAttribute('onkeydownset', "");
document.getElementById('link8').setAttribute('onkeydownset', "");
document.getElementById('link10').setAttribute('onkeydownset', "");
document.getElementById('link11').setAttribute('onkeydownset', "");


document.getElementById('link3').setAttribute('onkeydownset', "down3");
document.getElementById('link6').setAttribute('onkeydownset', "down6");
document.getElementById('link9').setAttribute('onkeydownset', "down9");
document.getElementById('link12').setAttribute('onkeydownset', "down12");
document.getElementById('link15').setAttribute('onkeydownset', "down15");
document.getElementById('link18').setAttribute('onkeydownset', "down18");
document.getElementById('link21').setAttribute('onkeydownset', "down21");
	
	

	document.getElementById('link1').setAttribute('href', "#movie"+(yon + movie.length) % movie.length);
document.getElementById('link2').setAttribute('href', "#movie"+(yon +1+ movie.length) % movie.length);
document.getElementById('link3').setAttribute('href', "#movie"+(yon +2+ movie.length) % movie.length);
document.getElementById('link4').setAttribute('href', "#movie"+(yon +3+ movie.length) % movie.length);
document.getElementById('link5').setAttribute('href', "#movie"+(yon +4+ movie.length) % movie.length);
document.getElementById('link6').setAttribute('href', "#movie"+(yon +5+ movie.length) % movie.length);
document.getElementById('link7').setAttribute('href', "#movie"+(yon +6+ movie.length) % movie.length);
document.getElementById('link8').setAttribute('href', "#movie"+(yon +7+ movie.length) % movie.length);
document.getElementById('link9').setAttribute('href', "#movie"+(yon +8+ movie.length) % movie.length);
document.getElementById('link10').setAttribute('href', "#movie"+(yon +9+ movie.length) % movie.length);


document.getElementById('link11').setAttribute('href', "#movie"+(yon +10+ movie.length) % movie.length);
document.getElementById('link12').setAttribute('href', "#movie"+(yon +11+ movie.length) % movie.length);
document.getElementById('link13').setAttribute('href', "#movie"+(yon +12+ movie.length) % movie.length);
document.getElementById('link14').setAttribute('href', "#movie"+(yon +13+ movie.length) % movie.length);
document.getElementById('link15').setAttribute('href', "#movie"+(yon +14+ movie.length) % movie.length);
document.getElementById('link16').setAttribute('href', "#movie"+(yon +15+ movie.length) % movie.length);
document.getElementById('link17').setAttribute('href', "#movie"+(yon +16+ movie.length) % movie.length);
document.getElementById('link18').setAttribute('href', "#movie"+(yon +17+ movie.length) % movie.length);
document.getElementById('link19').setAttribute('href', "#movie"+(yon +18+ movie.length) % movie.length);
document.getElementById('link20').setAttribute('href', "#movie"+(yon +19+ movie.length) % movie.length);
document.getElementById('link21').setAttribute('href', "#movie"+(yon +20+ movie.length) % movie.length);



document.getElementById('image1').setAttribute('src', movie[(yon + movie.length) % movie.length]['thumbnail']);
document.getElementById('image2').setAttribute('src', movie[(yon +1+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image3').setAttribute('src', movie[(yon +2+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image4').setAttribute('src', movie[(yon +3+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image5').setAttribute('src', movie[(yon +4+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image6').setAttribute('src', movie[(yon +5+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image7').setAttribute('src', movie[(yon +6+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image8').setAttribute('src', movie[(yon +7+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image9').setAttribute('src', movie[(yon +8+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image10').setAttribute('src', movie[(yon +9+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image11').setAttribute('src', movie[(yon +10+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image12').setAttribute('src', movie[(yon +11+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image13').setAttribute('src', movie[(yon +12+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image14').setAttribute('src', movie[(yon +13+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image15').setAttribute('src', movie[(yon +14+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image16').setAttribute('src', movie[(yon +15+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image17').setAttribute('src', movie[(yon +16+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image18').setAttribute('src', movie[(yon +17+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image19').setAttribute('src', movie[(yon +18+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image20').setAttribute('src', movie[(yon +19+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image21').setAttribute('src', movie[(yon +20+ movie.length) % movie.length]['thumbnail']);


view="3row"



document.getElementById('navchange').setAttribute("href","#movies4");

normal(enlargenum3row)


}

else if (toggle==2)
{

detailImageCSS.visibility='hidden'
fanartCSS.visibility='hidden'
detailBkgndCSS.visibility='hidden'
plotCSS.visibility='hidden'
detailTitleCSS.visibility='hidden'
ratingCSS.visibility='hidden'
imdbCSS.visibility='hidden'
castCSS.visibility='hidden'
releaseDateCSS.visibility='hidden'
resolutionCSS.visibility='hidden'
fpsCSS.visibility='hidden'
containerCSS.visibility='hidden'
subtitlesCSS.visibility='hidden'
sizeCSS.visibility='hidden'
changefileCSS.visibility='hidden'

list1CSS.visibility='hidden'
	list2CSS.visibility='hidden'
	list3CSS.visibility='hidden'
	list4CSS.visibility='hidden'
	list5CSS.visibility='hidden'
	list6CSS.visibility='hidden'
	list7CSS.visibility='hidden'
	list8CSS.visibility='hidden'
	list9CSS.visibility='hidden'
	list10CSS.visibility='hidden'
	listimageCSS.visibility='hidden'


	image1CSS.visibility='visible'
	image2CSS.visibility='visible'
	image3CSS.visibility='visible'
	image4CSS.visibility='visible'
	image5CSS.visibility='visible'
	image6CSS.visibility='visible'
	image7CSS.visibility='visible'
	image8CSS.visibility='visible'
	image9CSS.visibility='visible'
	image10CSS.visibility='visible'
	image11CSS.visibility='visible'
	image12CSS.visibility='visible'
	
		image13CSS.visibility='hidden'
	image14CSS.visibility='hidden'
	image15CSS.visibility='hidden'
	image16CSS.visibility='hidden'
	image17CSS.visibility='hidden'
	image18CSS.visibility='hidden'
	image19CSS.visibility='hidden'
	image20CSS.visibility='hidden'
	image21CSS.visibility='hidden'
	document.styleSheets[1].cssRules[21].style.visibility='hidden'
	
	
	wallTitle1CSS.visibility='visible'
	titleBarCSS.visibility='visible'
		wallTitle2CSS.visibility='visible'
	wallTitle3CSS.visibility='visible'
	
	
	

	document.getElementById('link1').setAttribute('href', "#movie"+(yon + movie.length) % movie.length);
document.getElementById('link2').setAttribute('href', "#movie"+(yon +1+ movie.length) % movie.length);
document.getElementById('link3').setAttribute('href', "#movie"+(yon +2+ movie.length) % movie.length);
document.getElementById('link4').setAttribute('href', "#movie"+(yon +3+ movie.length) % movie.length);
document.getElementById('link5').setAttribute('href', "#movie"+(yon +4+ movie.length) % movie.length);
document.getElementById('link6').setAttribute('href', "#movie"+(yon +5+ movie.length) % movie.length);
document.getElementById('link7').setAttribute('href', "#movie"+(yon +6+ movie.length) % movie.length);
document.getElementById('link8').setAttribute('href', "#movie"+(yon +7+ movie.length) % movie.length);
document.getElementById('link9').setAttribute('href', "#movie"+(yon +8+ movie.length) % movie.length);
document.getElementById('link10').setAttribute('href', "#movie"+(yon +9+ movie.length) % movie.length);
document.getElementById('link11').setAttribute('href', "#movie"+(yon +10+ movie.length) % movie.length);
document.getElementById('link12').setAttribute('href', "#movie"+(yon +11+ movie.length) % movie.length);

document.getElementById('link2').setAttribute('onkeyleftset', "");
document.getElementById('link3').setAttribute('onkeyleftset', "");
document.getElementById('link8').setAttribute('onkeyleftset', "");

document.getElementById('link19').setAttribute('onkeyrightset', "");
document.getElementById('link20').setAttribute('onkeyrightset', "");
document.getElementById('link21').setAttribute('onkeyrightset', "");


document.getElementById('link7').setAttribute('onkeyupset', "");
document.getElementById('link10').setAttribute('onkeyupset', "");
document.getElementById('link13').setAttribute('onkeyupset', "");
document.getElementById('link16').setAttribute('onkeyupset', "");
document.getElementById('link19').setAttribute('onkeyupset', "");



document.getElementById('link3').setAttribute('onkeydownset', "");
document.getElementById('link6').setAttribute('onkeydownset', "");
document.getElementById('link15').setAttribute('onkeydownset', "");
document.getElementById('link18').setAttribute('onkeydownset', "");
document.getElementById('link21').setAttribute('onkeydownset', "");
	



document.getElementById('link1').setAttribute('onkeyleftset', "left2row1");
document.getElementById('link7').setAttribute('onkeyleftset', "left2row7");

document.getElementById('link6').setAttribute('onkeyrightset', "right2row6");
document.getElementById('link12').setAttribute('onkeyrightset', "right2row12");

document.getElementById('link1').setAttribute('onkeyupset', "up2row1");
document.getElementById('link2').setAttribute('onkeyupset', "up2row2");
document.getElementById('link3').setAttribute('onkeyupset', "up2row3");
document.getElementById('link4').setAttribute('onkeyupset', "up2row4");
document.getElementById('link5').setAttribute('onkeyupset', "up2row5");
document.getElementById('link6').setAttribute('onkeyupset', "up2row6");

document.getElementById('link7').setAttribute('onkeydownset', "down2row7");
document.getElementById('link8').setAttribute('onkeydownset', "down2row8");
document.getElementById('link9').setAttribute('onkeydownset', "down2row9");
document.getElementById('link10').setAttribute('onkeydownset', "down2row10");
document.getElementById('link11').setAttribute('onkeydownset', "down2row11");
document.getElementById('link12').setAttribute('onkeydownset', "down2row12");

document.getElementById('link7').setAttribute('onkeyrightset', "");


document.getElementById('image1').setAttribute('src', movie[(yon + movie.length) % movie.length]['thumbnail']);
document.getElementById('image2').setAttribute('src', movie[(yon +1+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image3').setAttribute('src', movie[(yon +2+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image4').setAttribute('src', movie[(yon +3+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image5').setAttribute('src', movie[(yon +4+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image6').setAttribute('src', movie[(yon +5+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image7').setAttribute('src', movie[(yon +6+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image8').setAttribute('src', movie[(yon +7+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image9').setAttribute('src', movie[(yon +8+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image10').setAttribute('src', movie[(yon +9+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image11').setAttribute('src', movie[(yon +10+ movie.length) % movie.length]['thumbnail']);
document.getElementById('image12').setAttribute('src', movie[(yon +11+ movie.length) % movie.length]['thumbnail']);

	image1CSS.left='1'
	image2CSS.left='181'
	image3CSS.left='361'
	image4CSS.left='541'
	image5CSS.left='721'
	image6CSS.left='901'
	image7CSS.left='1'
	image8CSS.left='181'
	image9CSS.left='361'
	image10CSS.left='541'
	image11CSS.left='721'
	image12CSS.left='901'	
	
	image1CSS.top='16'
	image2CSS.top='16'
	image3CSS.top='16'
	image4CSS.top='16'
	image5CSS.top='16'
	image6CSS.top='16'
	
	image7CSS.top='360'
	image8CSS.top='360'
	image9CSS.top='360'
	image10CSS.top='360'
	image11CSS.top='360'
	image12CSS.top='360'
	
document.getElementById('image1').setAttribute('width', '180');
document.getElementById('image2').setAttribute('width', '180');
document.getElementById('image3').setAttribute('width', '180');
document.getElementById('image4').setAttribute('width', '180');
document.getElementById('image5').setAttribute('width', '180');
document.getElementById('image6').setAttribute('width', '180');
document.getElementById('image7').setAttribute('width', '180');
document.getElementById('image8').setAttribute('width', '180');
document.getElementById('image9').setAttribute('width', '180');
document.getElementById('image10').setAttribute('width', '180');
document.getElementById('image11').setAttribute('width', '180');
document.getElementById('image12').setAttribute('width', '180');



document.getElementById('image1').setAttribute('height', '273');
document.getElementById('image2').setAttribute('height', '273');
document.getElementById('image3').setAttribute('height', '273');
document.getElementById('image4').setAttribute('height', '273');
document.getElementById('image5').setAttribute('height', '273');
document.getElementById('image6').setAttribute('height', '273');
document.getElementById('image7').setAttribute('height', '273');
document.getElementById('image8').setAttribute('height', '273');
document.getElementById('image9').setAttribute('height', '273');
document.getElementById('image10').setAttribute('height', '273');
document.getElementById('image11').setAttribute('height', '273');
document.getElementById('image12').setAttribute('height', '273');



view="2row"	
	
document.getElementById('navchange').setAttribute("href","#movies4");

normal(enlargenum2row)


}


return


}

</script><script>
var heighttt=0;
var lefttt=0;
var left2row=0;
var height2row=0;
var topnew=0;
var toptest=0;
var mtitle=0;
var mtitle1=""
var mtitle2=""
var mtitle3="";
var mtitle4="";
var mtitle5="";
var mtitle6="";

var i=0;
function enlarge(y)
{
mtitle=movie[(yon + y -1 + movie.length) % movie.length]['title'];

document.getElementById('image'+y).setAttribute('width', '200');
document.getElementById('image'+y).setAttribute('height', '303');
i=0;

	if (mtitle.length <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>= 21)
	{
			var titlearray= new Array();
				titlearray= mtitle.split(' ')
				mtitle1=""
				mtitle2=""
				mtitle3=""
				mtitle4=""
				mtitle5=""
				mtitle6=""

						while (mtitle4.length <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>= 20)
							{
								mtitle1= mtitle1 + " "+ titlearray[i];
								mtitle4= mtitle1 + " "+ titlearray[i+1];
								i=i+1;
							}

						while (mtitle5.length <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>= 20 <xsl:value-of select="'&amp;'" disable-output-escaping="yes"/><xsl:value-of select="'&amp;'" disable-output-escaping="yes"/> i<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>=titlearray.length-1)
						{
							mtitle2 = mtitle2 + " " + titlearray[i];
							mtitle5= mtitle2 + " " +titlearray[i+1];
							i=i+1;
						}

						if (mtitle.length <xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>=41)
						{
							while (mtitle6.length <xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>= 20 <xsl:value-of select="'&amp;'" disable-output-escaping="yes"/><xsl:value-of select="'&amp;'" disable-output-escaping="yes"/> i<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>=titlearray.length-1)
								{	
									mtitle3 = mtitle3 + " " + titlearray[i];
									mtitle6= mtitle3 + " " +titlearray[i+1];
									i=i+1;
								}
						}
			document.getElementById('walltitle').firstChild.nodeValue=mtitle1;
			document.getElementById('walltitle2').firstChild.nodeValue=mtitle2;
			document.getElementById('walltitle3').firstChild.nodeValue=mtitle3;
	}
	else 
		{
			document.getElementById('walltitle').firstChild.nodeValue=mtitle;
			document.getElementById('walltitle2').firstChild.nodeValue=""
			document.getElementById('walltitle3').firstChild.nodeValue=""

		}
if (view=="3row")
{
heighttt=document.styleSheets[1].cssRules[y-1].style.top
lefttt=document.styleSheets[1].cssRules[y-1].style.left

	if (heighttt == 1)
		{
			document.styleSheets[1].cssRules[y-1].style.top="1";
			wallTitle1CSS.top="100";
			titleBarCSS.top="75";
			wallTitle2CSS.top="125";
			wallTitle3CSS.top="150";
		}
	else if ( heighttt == 213)
		{
			document.styleSheets[1].cssRules[y-1].style.top="168";
			wallTitle1CSS.top="270";
			titleBarCSS.top="243";
			wallTitle2CSS.top="295";
			wallTitle3CSS.top="320";
		}
	else 
	{
		document.styleSheets[1].cssRules[y-1].style.top="335";
			wallTitle1CSS.top="435";
			titleBarCSS.top="410"
			wallTitle2CSS.top="460";
			wallTitle3CSS.top="485";
	}



	if (lefttt== 60)
		{
			document.styleSheets[1].cssRules[y-1].style.left="60";
			wallTitle1CSS.left="300";
			titleBarCSS.left="260"
			wallTitle2CSS.left="300";
			wallTitle3CSS.left="300";
			document.getElementById('titlebar').setAttribute('src','pictures/titlebarleft.png')
		}

	else if (lefttt == 200 )
	{
		document.styleSheets[1].cssRules[y-1].style.left="170";
		wallTitle1CSS.left="410";
		titleBarCSS.left="370"
		wallTitle2CSS.left="410";
		wallTitle3CSS.left="410";
		document.getElementById('titlebar').setAttribute('src','pictures/titlebarleft.png')

	}

	else if (lefttt ==340 )
	{
		document.styleSheets[1].cssRules[y-1].style.left="310";
			wallTitle1CSS.left="550";
			titleBarCSS.left="510"
			wallTitle2CSS.left="550";
			wallTitle3CSS.left="550";
			document.getElementById('titlebar').setAttribute('src','pictures/titlebarleft.png')
	}

		else if (lefttt ==480 )
	{
		document.styleSheets[1].cssRules[y-1].style.left="450";
			wallTitle1CSS.left="690";
			titleBarCSS.left="650"
			wallTitle2CSS.left="690";
			wallTitle3CSS.left="690";
			document.getElementById('titlebar').setAttribute('src','pictures/titlebarleft.png')
	}

		else if (lefttt ==620 )
	{
		document.styleSheets[1].cssRules[y-1].style.left="590";
		wallTitle1CSS.left="330";
		titleBarCSS.left="290"
		wallTitle2CSS.left="330";
		wallTitle3CSS.left="330";
		document.getElementById('titlebar').setAttribute('src','pictures/titlebarright.png')
	}

		else if (lefttt ==760 )
	{
		document.styleSheets[1].cssRules[y-1].style.left="730";
		wallTitle1CSS.left="470";
		titleBarCSS.left="430"
		wallTitle2CSS.left="470";
		wallTitle3CSS.left="470";
		document.getElementById('titlebar').setAttribute('src','pictures/titlebarright.png')
	}

		else if (lefttt ==900 )
	{
		document.styleSheets[1].cssRules[y-1].style.left="840";
		wallTitle1CSS.left="580";
		titleBarCSS.left="540"
		wallTitle2CSS.left="580";
		wallTitle3CSS.left="580";
		document.getElementById('titlebar').setAttribute('src','pictures/titlebarright.png')
	}
	enlargenum3row=y;
	
}

else if (view=="2row")
{
height2row=document.styleSheets[1].cssRules[y-1].style.top
left2row=document.styleSheets[1].cssRules[y-1].style.left

	if (height2row == 16)
		{
			document.styleSheets[1].cssRules[y-1].style.top="1";
			wallTitle1CSS.top="100";
			titleBarCSS.top="75";
			wallTitle2CSS.top="125";
			wallTitle3CSS.top="150";
			

		}
	else 
	{
		document.styleSheets[1].cssRules[y-1].style.top="345";
			wallTitle1CSS.top="460";
			titleBarCSS.top="435"
			wallTitle2CSS.top="485";
			wallTitle3CSS.top="510";
			

	}



	if (left2row== 1)
		{
			document.styleSheets[1].cssRules[y-1].style.left="1";
			wallTitle1CSS.left="241";
			titleBarCSS.left="201"
			wallTitle2CSS.left="241";
			wallTitle3CSS.left="241";
			document.getElementById('titlebar').setAttribute('src','pictures/titlebarleft.png')
		}

	else if (left2row == 181 )
	{
		document.styleSheets[1].cssRules[y-1].style.left="171";
		wallTitle1CSS.left="411";
		titleBarCSS.left="371"
		wallTitle2CSS.left="411";
		wallTitle3CSS.left="411";
		document.getElementById('titlebar').setAttribute('src','pictures/titlebarleft.png')

	}

	else if (left2row ==361 )
	{
		document.styleSheets[1].cssRules[y-1].style.left="351";
			wallTitle1CSS.left="591";
			titleBarCSS.left="551"
			wallTitle2CSS.left="591";
			wallTitle3CSS.left="591";
			document.getElementById('titlebar').setAttribute('src','pictures/titlebarleft.png')
	}

	else if (left2row ==541 )
	{
	
		document.styleSheets[1].cssRules[y-1].style.left="531";
			wallTitle1CSS.left="771";
			titleBarCSS.left="731"
			wallTitle2CSS.left="771";
			wallTitle3CSS.left="771";
			document.getElementById('titlebar').setAttribute('src','pictures/titlebarleft.png')
	}

		else if (left2row ==721 )
	{
		document.styleSheets[1].cssRules[y-1].style.left="711";
		wallTitle1CSS.left="451";
		titleBarCSS.left="411"
		wallTitle2CSS.left="451";
		wallTitle3CSS.left="451";
		document.getElementById('titlebar').setAttribute('src','pictures/titlebarright.png')
	}

		else if (left2row ==901 )
	{
		document.styleSheets[1].cssRules[y-1].style.left="891";
		wallTitle1CSS.left="631";
		titleBarCSS.left="591"
		wallTitle2CSS.left="631";
		wallTitle3CSS.left="631";
		document.getElementById('titlebar').setAttribute('src','pictures/titlebarright.png')
	}
enlargenum2row=y;

}

return
}

function normal(y)
{

if (view=="3row" <xsl:value-of select="'&amp;'" disable-output-escaping="yes"/><xsl:value-of select="'&amp;'" disable-output-escaping="yes"/> heighttt != 0 <xsl:value-of select="'&amp;'" disable-output-escaping="yes"/><xsl:value-of select="'&amp;'" disable-output-escaping="yes"/> lefttt != 0)
{
document.getElementById('image'+y).setAttribute('width', '140');
document.getElementById('image'+y).setAttribute('height', '212');
document.styleSheets[1].cssRules[y-1].style.top=heighttt;
document.styleSheets[1].cssRules[y-1].style.left=lefttt;
}

else if (view=="2row" <xsl:value-of select="'&amp;'" disable-output-escaping="yes"/><xsl:value-of select="'&amp;'" disable-output-escaping="yes"/> height2row !=0 <xsl:value-of select="'&amp;'" disable-output-escaping="yes"/><xsl:value-of select="'&amp;'" disable-output-escaping="yes"/> left2row !=0)
{
document.getElementById('image'+y).setAttribute('width', '180');
document.getElementById('image'+y).setAttribute('height', '273');
document.styleSheets[1].cssRules[y-1].style.top=height2row;
document.styleSheets[1].cssRules[y-1].style.left=left2row;


}


return

}
</script>

<script>
function findItem( list, item ) {
	var result = -1;

	for( var i = 0; i != list.length; i++ ) {
	  if( list[i] == item ) {
		return i;
		}
	}
	return result;
}


function findSearch( list, item ) {
	var result = -1;

	for( var i = 0; i != list.length; i++ ) {
	  if( list[i]['basefilename'] == item ) {
		return i;
		}
	}
	return result;
}
</script>


<script>

	var excalLetters=[ 
		<xsl:for-each select="library/category[@name='Title']/index">"<xsl:value-of select="@name" />,<xsl:value-of select="."/>.html",</xsl:for-each>];

	var excalGenre=[
		<xsl:for-each select="library/category[@name='Other']/index">"<xsl:value-of select="@name" />,<xsl:value-of select="."/>.html",</xsl:for-each>
		<xsl:for-each select="library/category[@name='Genres']/index">"<xsl:value-of select="@name" />,<xsl:value-of select="."/>.html",</xsl:for-each>
       		]

	<xsl:choose>
		<xsl:when test="//index[@current='true']/@name = '09'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'A'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'B'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'C'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'D'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'E'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'F'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'G'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'H'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'I'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'J'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'K'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'L'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'M'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'N'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'O'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'P'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'Q'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'R'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'S'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'T'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'U'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'V'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'W'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'X'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'Y'">
			var flag = 0;
		</xsl:when>
		<xsl:when test="//index[@current='true']/@name = 'Z'">
			var flag = 0;
		</xsl:when>
		<xsl:otherwise>
			var flag =1;
		</xsl:otherwise>
	</xsl:choose>
			var viewcnt=1;
			var viewItems=1;
			var viewstart=0;

function alphaud(x)	//moves the letters left and right 
  	{
	var glen = excalLetters.length
	var ending = glen - 1
	var last = ending - 1
if (viewstart==0)
{
				  var temp7 = document.styleSheets[4].cssRules[6].style
  var temp8 = document.styleSheets[4].cssRules[7].style
	temp7.visibility = 'visible'
	temp8.visibility = 'visible'

		    var twoItems = excalLetters[(alphaid+ excalLetters.length) % excalLetters.length].split(",")
			var prevAlphaItems = excalLetters[(alphaid-1+ excalLetters.length) % excalLetters.length].split(",")
			var nextAlphaItems = excalLetters[(alphaid+1+ excalLetters.length) % excalLetters.length].split(",")

					document.getElementById('menu6').firstChild.nodeValue=prevAlphaItems[0];
					document.getElementById('menu7').firstChild.nodeValue=nextAlphaItems[0];

					document.getElementById('change').firstChild.nodeValue=twoItems[0];
				   document.getElementById('change').setAttribute("href",twoItems[1]);

				   viewstart=1;
  	}
else
{

	 if (alphaid+x<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>0)
				{
					 alphaid=ending
				}
			else if (alphaid+x<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>ending)
				{
					alphaid=0
				}
			else 
				{
					alphaid=alphaid+x
				}

  var temp7 = document.styleSheets[4].cssRules[6].style
  var temp8 = document.styleSheets[4].cssRules[7].style
	temp7.visibility = 'visible'
	temp8.visibility = 'visible'

		    var twoItems = excalLetters[(alphaid+ excalLetters.length) % excalLetters.length].split(",")
			var prevAlphaItems = excalLetters[(alphaid-1+ excalLetters.length) % excalLetters.length].split(",")
			var nextAlphaItems = excalLetters[(alphaid+1+ excalLetters.length) % excalLetters.length].split(",")

					document.getElementById('menu6').firstChild.nodeValue=prevAlphaItems[0];
					document.getElementById('menu7').firstChild.nodeValue=nextAlphaItems[0];

					document.getElementById('change').firstChild.nodeValue=twoItems[0];
				   document.getElementById('change').setAttribute("href",twoItems[1]);
  	}
}
 function genrelist(x)	//moves the genres left and right
  	{
	var glen = excalGenre.length
	var ending = glen - 1
	var last = ending - 1
if (viewstart==0)
{
	  var temp7 = document.styleSheets[4].cssRules[6].style
  var temp8 = document.styleSheets[4].cssRules[7].style
	temp7.visibility = 'visible'
	temp8.visibility = 'visible'

		   var genreItems = excalGenre[(genrecnt + excalGenre.length) % excalGenre.length].split(",")
		   var prevGenreItems = excalGenre[(genrecnt-1 + excalGenre.length) % excalGenre.length].split(",")
		   var nextGenreItems = excalGenre[(genrecnt+1+ excalGenre.length) % excalGenre.length].split(",")

				   document.getElementById('menu6').firstChild.nodeValue=prevGenreItems[0];
                   document.getElementById('menu7').firstChild.nodeValue=nextGenreItems[0];
		   
                   document.getElementById('change').firstChild.nodeValue=genreItems[0];
				   document.getElementById('change').setAttribute("href",genreItems[1]);

				   viewstart=1;

}

else
{

 			 if (genrecnt+x<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>0)
				{
					genrecnt=ending
				 }
			 else if (genrecnt+x<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>ending)
				 {
					 genrecnt=0
				 }
			 else 
				 {
					 genrecnt=genrecnt+x;
				 }
	  var temp7 = document.styleSheets[4].cssRules[6].style
  var temp8 = document.styleSheets[4].cssRules[7].style
	temp7.visibility = 'visible'
	temp8.visibility = 'visible'

		   var genreItems = excalGenre[(genrecnt + excalGenre.length) % excalGenre.length].split(",")
		   var prevGenreItems = excalGenre[(genrecnt-1 + excalGenre.length) % excalGenre.length].split(",")
		   var nextGenreItems = excalGenre[(genrecnt+1+ excalGenre.length) % excalGenre.length].split(",")

				   document.getElementById('menu6').firstChild.nodeValue=prevGenreItems[0];
                   document.getElementById('menu7').firstChild.nodeValue=nextGenreItems[0];
		   
                   document.getElementById('change').firstChild.nodeValue=genreItems[0];
				   document.getElementById('change').setAttribute("href",genreItems[1]);
	}
}

 function loadletter()	//change the list to letters 
  	{
	  var temp7 = document.styleSheets[4].cssRules[6].style
  var temp8 = document.styleSheets[4].cssRules[7].style
	temp7.visibility = 'hidden'
	temp8.visibility = 'hidden'
		{
		   alphaid=alphaid
  		   var twoItems = excalLetters[(alphaid+ excalLetters.length) % excalLetters.length].split(",")
		  

		  					document.getElementById('menu1').firstChild.nodeValue="";
					document.getElementById('menu2').firstChild.nodeValue="Genres";
					document.getElementById('menu3').firstChild.nodeValue="Views";

                   document.getElementById('change').firstChild.nodeValue="Letters";
				   document.getElementById('change').setAttribute("href",twoItems[1]);

	  	}
return false
  	}

 function loadgenre()	//change the list to genres 
  	{
    var temp7 = document.styleSheets[4].cssRules[6].style
  var temp8 = document.styleSheets[4].cssRules[7].style
	temp7.visibility = 'hidden'
	temp8.visibility = 'hidden'
	 	{


			genrecnt=genrecnt		
  		  var genreItems = excalGenre[(genrecnt + excalGenre.length) % excalGenre.length].split(",")
		   

					document.getElementById('menu1').firstChild.nodeValue="";
					document.getElementById('menu2').firstChild.nodeValue="Views";
					document.getElementById('menu3').firstChild.nodeValue="Letters";

                   document.getElementById('change').firstChild.nodeValue="Genres";
				   document.getElementById('change').setAttribute("href",genreItems[1]);
	
			 }
		return
  	}
function upDown(x)
{
  if (flag== 2)
	  {
		alphaud(x)
	  }
else if (flag==3)
	  {
		viewchange(x)
	  }
else
	  {
		genrelist(x)
	   }
	 return false
}

 function changeformat(x)
 {
viewstart=0;
   		 if (flag+x<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>1)
		 {
		 flag=3;
		 }
		 else if (flag+x<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>3)
		 {
		 flag=1;
		 }
		 else 
		 {
  		   flag=flag+x;
		 }



 if (flag==1) 
	{
	loadgenre()
	}
 else if (flag==2)
	{
	loadletter()
	}
  else if (flag==3)
  {
   loadview();
  }	

}


function loadview()
  	 	{
  var temp7 = document.styleSheets[4].cssRules[6].style
  var temp8 = document.styleSheets[4].cssRules[7].style
	temp7.visibility = 'hidden'
	temp8.visibility = 'hidden'

					document.getElementById('menu1').firstChild.nodeValue="";
					document.getElementById('menu2').firstChild.nodeValue="Letters";
					document.getElementById('menu3').firstChild.nodeValue="Genres";

                   document.getElementById('change').firstChild.nodeValue="Views"
				   document.getElementById('change').setAttribute("href","#");


		}

 function viewchange(x)	//moves the genres left and right
  	{

if (viewstart==0)
{
	  var temp7 = document.styleSheets[4].cssRules[6].style
  var temp8 = document.styleSheets[4].cssRules[7].style
	temp7.visibility = 'visible'
	temp8.visibility = 'visible'

				if (viewcnt==3)
					{
						document.getElementById('menu1').firstChild.nodeValue="";
						document.getElementById('menu6').firstChild.nodeValue="2 Rows";
						document.getElementById('menu7').firstChild.nodeValue="3 Rows";

						document.getElementById('change').firstChild.nodeValue="Text List";
						document.getElementById('change').setAttribute("href","#listview");
						toggle=3;
					}
				else if (viewcnt==2)
					{
						document.getElementById('menu1').firstChild.nodeValue="";
						document.getElementById('menu6').firstChild.nodeValue="3 Rows";
						document.getElementById('menu7').firstChild.nodeValue="Text List";


						document.getElementById('change').firstChild.nodeValue="2 Rows";
						document.getElementById('change').setAttribute("href","#2rowview");
						toggle=2;
					}
				else
					{
						document.getElementById('menu1').firstChild.nodeValue="";
						document.getElementById('menu6').firstChild.nodeValue="Text List";
						document.getElementById('menu7').firstChild.nodeValue="2 Rows";

						document.getElementById('change').firstChild.nodeValue="3 Rows";
						document.getElementById('change').setAttribute("href","#3rowview");
						toggle=1;
					}

					viewstart=1;
}

else
{
  		 if (viewcnt+x<xsl:value-of select="'&lt;'" disable-output-escaping="yes"/>1)
		 {
		 viewcnt=3
		 }
		 else if (viewcnt+x<xsl:value-of select="'&gt;'" disable-output-escaping="yes"/>3)
		 {
		 viewcnt=1
		 }
		 else 
		 {
  		   viewcnt=viewcnt+x;
		 }
	  var temp7 = document.styleSheets[4].cssRules[6].style
  var temp8 = document.styleSheets[4].cssRules[7].style
	temp7.visibility = 'visible'
	temp8.visibility = 'visible'

				if (viewcnt==3)
					{
						document.getElementById('menu1').firstChild.nodeValue="";
						document.getElementById('menu6').firstChild.nodeValue="2 Rows";
						document.getElementById('menu7').firstChild.nodeValue="3 Rows";

						document.getElementById('change').firstChild.nodeValue="Text List";
						document.getElementById('change').setAttribute("href","#listview");
						toggle=3;
					}
				else if (viewcnt==2)
					{
						document.getElementById('menu1').firstChild.nodeValue="";
						document.getElementById('menu6').firstChild.nodeValue="3 Rows";
						document.getElementById('menu7').firstChild.nodeValue="Text List";


						document.getElementById('change').firstChild.nodeValue="2 Rows";
						document.getElementById('change').setAttribute("href","#2rowview");
						toggle=2;
					}
				else
					{
						document.getElementById('menu1').firstChild.nodeValue="";
						document.getElementById('menu6').firstChild.nodeValue="Text List";
						document.getElementById('menu7').firstChild.nodeValue="2 Rows";

						document.getElementById('change').firstChild.nodeValue="3 Rows";
						document.getElementById('change').setAttribute("href","#3rowview");
						toggle=1;
					}
	return false
	}
}
function findItem( list, item ) {
	var result = -1;

	for( var i = 0; i != list.length; i++ ) {
	  if( list[i] == item ) {
		return i;
		}
	}
	return result;
}
function findItem( list, item ) {
	var result = -1;

	for( var i = 0; i != list.length; i++ ) {
	  if( list[i] == item ) {
		return i;
		}
	}
	return result;
}
</script>
<script type="text/javascript">
function togglePopup()
{
toggle=toggle

  var temp = document.styleSheets[4].cssRules[0].style
  var temp2 = document.styleSheets[4].cssRules[1].style
  var temp3 = document.styleSheets[4].cssRules[2].style
  var temp4 = document.styleSheets[4].cssRules[3].style
  var temp5 = document.styleSheets[4].cssRules[4].style
  var temp6 = document.styleSheets[4].cssRules[5].style
  var temp7 = document.styleSheets[4].cssRules[6].style
  var temp8 = document.styleSheets[4].cssRules[7].style

  if ( temp.visibility == 'visible' )
   {
	temp.visibility = 'hidden'
	temp2.visibility = 'hidden'
	temp3.visibility = 'hidden'
	temp4.visibility = 'hidden'
	temp5.visibility = 'hidden'
	temp6.visibility = 'hidden'
	temp7.visibility = 'hidden'
	temp8.visibility = 'hidden'
	document.getElementById('navchange').setAttribute("href","#movies4");

	listtoggle(toggle);

  }
  else
   {
	temp.visibility = 'visible'
	temp3.visibility = 'visible'
	temp4.visibility = 'visible'

detailImageCSS.visibility='hidden'
fanartCSS.visibility='hidden'
detailBkgndCSS.visibility='hidden'
plotCSS.visibility='hidden'
detailTitleCSS.visibility='hidden'
ratingCSS.visibility='hidden'
imdbCSS.visibility='hidden'
castCSS.visibility='hidden'
releaseDateCSS.visibility='hidden'
resolutionCSS.visibility='hidden'
fpsCSS.visibility='hidden'
containerCSS.visibility='hidden'
subtitlesCSS.visibility='hidden'
sizeCSS.visibility='hidden'
changefileCSS.visibility='hidden'

		image1CSS.visibility='hidden'
		image2CSS.visibility='hidden'
		image3CSS.visibility='hidden'
		image4CSS.visibility='hidden'
		image5CSS.visibility='hidden'
		image6CSS.visibility='hidden'
		image7CSS.visibility='hidden'
		image8CSS.visibility='hidden'
		image9CSS.visibility='hidden'
		image10CSS.visibility='hidden'
		image11CSS.visibility='hidden'
		image12CSS.visibility='hidden'
		image13CSS.visibility='hidden'
		image14CSS.visibility='hidden'
		image15CSS.visibility='hidden'
		image16CSS.visibility='hidden'
		image17CSS.visibility='hidden'
		image18CSS.visibility='hidden'
		image19CSS.visibility='hidden'
		image20CSS.visibility='hidden'
		image21CSS.visibility='hidden'



	document.styleSheets[1].cssRules[21].style.visibility='hidden'
	wallTitle1CSS.visibility='hidden'
	titleBarCSS.visibility='hidden'
		wallTitle2CSS.visibility='hidden'
	wallTitle3CSS.visibility='hidden'

	list1CSS.visibility='hidden'
	list2CSS.visibility='hidden'
	list3CSS.visibility='hidden'
	list4CSS.visibility='hidden'
	list5CSS.visibility='hidden'
	list6CSS.visibility='hidden'
	list7CSS.visibility='hidden'
	list8CSS.visibility='hidden'
	list9CSS.visibility='hidden'
	list10CSS.visibility='hidden'
	listimageCSS.visibility='hidden'


	document.getElementById('navchange').setAttribute("href","#middle");
  }
  return
}
</script>


  </xsl:template>

<!--*******************************************************END OF STYLE AND JAVASCRIPT****************************************************-->



<!--*******************************************************START OF HTML******************************************************************-->
  

<xsl:template name="index-4-html">

<xsl:attribute name="background">pictures/bg35.jpg</xsl:attribute>







<a href="#movies4" onclick="detailtoggle(1)" id="detailtoggle" name="detailtoggle" tvid=""/>

<a href="#list5" onfocusload="" onfocus="return moviechange4(-1)" onclick="return moviechange4(-1)" name="listup"/>
<a href="#list5" onfocusload="" onfocus="return moviechange4(1)" onclick="return moviechange4(1)" name="listdown"/>



<a href="#movies19" onfocusload="" onfocus="return moviechange4(3)" onclick="return moviechange4(3)" name="right19"/>
<a href="#movies20" onfocusload="" onfocus="return moviechange4(3)" onclick="return moviechange4(3)" name="right20"/>
<a href="#movies21" onfocusload="" onfocus="return moviechange4(3)" onclick="return moviechange4(3)" name="right21"/>


<a href="#movies1" onfocusload="" onfocus="return moviechange4(-3)" onclick="return moviechange4(-3)" name="left1"/>
<a href="#movies2" onfocusload="" onfocus="return moviechange4(-3)" onclick="return moviechange4(-3)" name="left2"/>
<a href="#movies3" onfocusload="" onfocus="return moviechange4(-3)" onclick="return moviechange4(-3)" name="left3"/>

<a href="#movies1" onfocusload="" onfocus="return moviechange4(-21)" onclick="return moviechange4(-21)" name="up1"/>
<a href="#movies4" onfocusload="" onfocus="return moviechange4(-21)" onclick="return moviechange4(-21)" name="up4"/>
<a href="#movies7" onfocusload="" onfocus="return moviechange4(-21)" onclick="return moviechange4(-21)" name="up7"/>
<a href="#movies10" onfocusload="" onfocus="return moviechange4(-21)" onclick="return moviechange4(-21)" name="up10"/>
<a href="#movies13" onfocusload="" onfocus="return moviechange4(-21)" onclick="return moviechange4(-21)" name="up13"/>
<a href="#movies16" onfocusload="" onfocus="return moviechange4(-21)" onclick="return moviechange4(-21)" name="up16"/>
<a href="#movies19" onfocusload="" onfocus="return moviechange4(-21)" onclick="return moviechange4(-21)" name="up19"/>

<a href="#movies3" onfocusload="" onfocus="return moviechange4(21)" onclick="return moviechange4(21)" name="down3"/>
<a href="#movies6" onfocusload="" onfocus="return moviechange4(21)" onclick="return moviechange4(21)" name="down6"/>
<a href="#movies9" onfocusload="" onfocus="return moviechange4(21)" onclick="return moviechange4(21)" name="down9"/>
<a href="#movies12" onfocusload="" onfocus="return moviechange4(21)" onclick="return moviechange4(21)" name="down12"/>
<a href="#movies15" onfocusload="" onfocus="return moviechange4(21)" onclick="return moviechange4(21)" name="down15"/>
<a href="#movies18" onfocusload="" onfocus="return moviechange4(21)" onclick="return moviechange4(21)" name="down18"/>
<a href="#movies21" onfocusload="" onfocus="return moviechange4(21)" onclick="return moviechange4(21)" name="down21"/>




<a href="#movies1" onfocusload="" onfocus="return moviechange4(-6)" onclick="return moviechange4(-6)" name="up2row1"/>
<a href="#movies2" onfocusload="" onfocus="return moviechange4(-6)" onclick="return moviechange4(-6)" name="up2row2"/>
<a href="#movies3" onfocusload="" onfocus="return moviechange4(-6)" onclick="return moviechange4(-6)" name="up2row3"/>
<a href="#movies4" onfocusload="" onfocus="return moviechange4(-6)" onclick="return moviechange4(-6)" name="up2row4"/>
<a href="#movies5" onfocusload="" onfocus="return moviechange4(-6)" onclick="return moviechange4(-6)" name="up2row5"/>
<a href="#movies6" onfocusload="" onfocus="return moviechange4(-6)" onclick="return moviechange4(-6)" name="up2row6"/>

<a href="#movies7" onfocusload="" onfocus="return moviechange4(6)" onclick="return moviechange4(6)" name="down2row7"/>
<a href="#movies8" onfocusload="" onfocus="return moviechange4(6)" onclick="return moviechange4(6)" name="down2row8"/>
<a href="#movies9" onfocusload="" onfocus="return moviechange4(6)" onclick="return moviechange4(6)" name="down2row9"/>
<a href="#movies10" onfocusload="" onfocus="return moviechange4(6)" onclick="return moviechange4(6)" name="down2row10"/>
<a href="#movies11" onfocusload="" onfocus="return moviechange4(6)" onclick="return moviechange4(6)" name="down2row11"/>
<a href="#movies12" onfocusload="" onfocus="return moviechange4(6)" onclick="return moviechange4(6)" name="down2row12"/>

<a href="#movies6" onfocusload="" onfocus="return moviechange4(1)" onclick="return moviechange4(1)" name="right2row6"/>
<a href="#movies1" onfocusload="" onfocus="return moviechange4(-1)" onclick="return moviechange4(-1)" name="left2row1"/>

<a href="#movies12" onfocusload="" onfocus="return moviechange4(1)" onclick="return moviechange4(1)" name="right2row12"/>
<a href="#movies7" onfocusload="" onfocus="return moviechange4(-1)" onclick="return moviechange4(-1)" name="left2row7"/>

   <a href="#menuchange" onfocusload="" onfocus="return flag(1)" onclick="return flag(1)" name="menuRight"/>
	<a href="#menuchange" onfocusload="" onfocus="return flag(-1)" onclick="return flag(-1)" name="menuLeft"/>
	<a href="#menuchange" onfocusload="" onfocus="return upDown(1)" onclick="return upDown(1)" name="menuDown"/>
	<a href="#menuchange" onfocusload="" onfocus="return upDown(-1)" onclick="return upDown(-1)" name="menuUp"/>

	<a href="#list5" onfocusload="" onfocus="return togglePopup()" onclick="return listtoggle(3)" name="listview"/>
	<a href="#movies1" onfocusload="" onfocus="return togglePopup()" onclick="return listtoggle(2)" name="2rowview"/>
	<a href="#movies1" onfocusload="" onfocus="return togglePopup()" onclick="return listtoggle(1)" name="3rowview"/>


<div>
	<a href="Other_All_1.html" class="mainsorting" name="middle" onkeyupset="left" onkeydownset="right" onkeyleftset="letersb" onkeyrightset="leters" id="change">Genres</a>
</div>

<div id="menu1" name="menu1">Test1</div>
<div id="menu2" name="menu2">Views</div>
<div id="menu3" name="menu3">Letters</div>
<div id="menu4" name="menu4">Test4</div>
<div id="menu5" name="menu5">Test5</div>


<div id="menu6" name="menu6">Test6</div>
<div id="menu7" name="menu7">Test7</div>

<a href="#" onclick="return togglePopup()" id="navchange" tvid="info"/>

<a href="#middle" onfocusload="" onfocus="return changeformat(-1)" onclick="return changeformat(-1)" name="letersb" class="sorting2" TVID="GREEN"/>
<a href="#middle" onfocusload="" onfocus="return changeformat(1)" onclick="return changeformat(1)" name="leters" class="sorting2" TVID="GREEN"/>
<a href="#middle" onfocusload="" onfocus="return upDown(-1)" onclick="return upDown(-1)" name="left" onkeyrightset="middle" id="up" TVID="RED"/>

<a href="#middle" onfocusload="" onfocus="return upDown(1)" onclick="return upDown(1)" name="right" onkeyleftset="middle" id="down" TVID="BLUE"/>




<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td height="50"/>
	</tr>
	<tr>
		<td>
			<table border="0" cellspacing="0" cellpadding="0" id="backgroundimagetest">
				<tr>
					<td valign="top">
						<table border="0" cellspacing="0" cellpadding="0">
							<tr><td><img id="fanartimagetest" width="364" height="205"/></td></tr>
							<tr><td>
								<table border="0" cellspacing="10" cellpadding="0">
									<tr><td id="titletest" class="moviedetails3">#</td></tr>
									<tr><td id="releasedatetest" class="moviedetails3">#</td></tr>
									<tr><td id="plottest" class="moviedetails3" height="195" valign="top">#</td></tr>
									<tr><td class="moviedetails3" align="right"><!-- genres --></td></tr>
									<tr><td class="moviedetails3" align="right"><!-- runtime --></td></tr>
								</table>
							</td></tr>
						</table>
					</td>
					<td><a href="#" id="changefile" name="changefile" class="moviedetails3"><img id="detailimagetest" width="368" height="544"/></a></td>
					<td width="363" valign="top">
						<table border="0" cellspacing="10" cellpadding="0">
							<tr><td id="ratingtest" class="moviedetails3">#</td></tr>
							<tr><td id="imdbtest" class="moviedetails3" height="64" valign="top">#</td></tr>
							<tr><td id="casttest" class="moviedetails3" height="190" valign="top">#</td></tr>
							<tr><td id="containertest" class="moviedetails3">#</td></tr>
							<tr><td id="audiotest" class="moviedetails3">#</td></tr>
							<tr><td id="channelstest" class="moviedetails3">#</td></tr>
							<tr><td id="resolutiontest" class="moviedetails3">#</td></tr>
							<tr><td id="subtitlestest" class="moviedetails3">#</td></tr>
							<tr><td id="fpstest" class="moviedetails3">#</td></tr>
							<tr><td id="sizetest" class="moviedetails3">#</td></tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>


<a id="link1" href="#movie0" onkeyupset="up1" name="movies1" onkeyleftset="left1">
		<img width="140" height="212" id="image1" src="#" onfocus="enlarge(1)" onblur="normal(1)"/>
</a>
<a id="link2" href="#movie1" onkeyleftset="left2" name="movies2">
		<img width="140" height="212" id="image2" src="#" onfocus="enlarge(2)" onblur="normal(2)"/>
</a>
<a id="link3" href="#movie2" onkeyleftset="left3" name="movies3" onkeydownset="down3">
		<img width="140" height="212" id="image3" src="#" onfocus="enlarge(3)" onblur="normal(3)"/>
</a>
<a id="link4" href="#movie3" onkeyupset="up4" name="movies4">
		<img width="140" height="212" id="image4" src="#" onfocus="enlarge(4)" onblur="normal(4)"/>
</a>
<a id="link5" href="#movie4" name="movies5">
		<img width="140" height="212" id="image5" src="#" onfocus="enlarge(5)" onblur="normal(5)"/>
</a>
<a id="link6" href="#movie5" onkeydownset="down6" name="movies6" onkeyrightset="">
		<img width="140" height="212" id="image6" src="#" onfocus="enlarge(6)" onblur="normal(6)"/>
</a>
<a id="link7" href="#movie6" onkeyupset="up7" name="movies7" onkeyrightset="" onkeyleftset="">
		<img width="140" height="212" id="image7" src="#" onfocus="enlarge(7)" onblur="normal(7)"/>
</a>
<a id="link8" href="#movie7" name="movies8" onkeyleftset="" onkeydownset="">
		<img width="140" height="212" id="image8" src="#" onfocus="enlarge(8)" onblur="normal(8)"/>
</a>
<a id="link9" href="#movie8" name="movies9" onkeydownset="down9">
		<img width="140" id="image9" height="212" src="#" onfocus="enlarge(9)" onblur="normal(9)"/>
</a>
<a id="link10" href="#movie9" name="movies10" onkeydownset="" onkeyupset="up10">
		<img width="140" height="212" id="image10" src="#" onfocus="enlarge(10)" onblur="normal(10)"/>
</a>
<a id="link11" href="#movie11" name="movies11" onkeydownset="">
		<img width="140" height="212" id="image11" src="#" onfocus="enlarge(11)" onblur="normal(11)"/>
</a>
<a id="link12" href="#movie8" name="movies12" onkeydownset="down12" onkeyrightset="">
		<img width="140" height="212" id="image12" src="#" onfocus="enlarge(12)" onblur="normal(12)"/>
</a>
<a id="link13" href="#movie8" name="movies13" onkeyupset="up13">
	<img width="140" height="212" id="image13" src="#" onfocus="enlarge(13)" onblur="normal(13)"/>
</a>
<a id="link14" href="#movie8" name="movies14" onkeyrightset="">
	<img width="140" height="212" id="image14" src="#" onfocus="enlarge(14)" onblur="normal(14)"/>
</a>

<a id="link15" href="#movie8" name="movies15" onkeydownset="down15" onkeyleftset="">
	<img width="140" height="212" id="image15" src="#"  onfocus="enlarge(15)" onblur="normal(15)"/>
</a>
<a id="link16" href="#movie8" name="movies16" onkeydownset="" onkeyupset="up16">
	<img width="140" height="212" id="image16" src="#"  onfocus="enlarge(16)" onblur="normal(16)"/>
</a>
<a id="link17" href="#movie8" name="movies17" onkeydownset="">
	<img width="140" height="212" id="image17" src="#"  onfocus="enlarge(17)" onblur="normal(17)"/>
</a>
<a id="link18" href="#movie8" name="movies18" onkeydownset="down18">
	<img width="140" height="212" id="image18" src="#"  onfocus="enlarge(18)" onblur="normal(18)"/>
</a>
<a id="link19" href="#movie8" name="movies19" onkeydownset="" onkeyupset="up19" onkeyrightset="right19">
	<img width="140" height="212" id="image19" src="#" onfocus="enlarge(19)" onblur="normal(19)"/>
</a>
<a id="link20" href="#movie8" name="movies20" onkeydownset="" onkeyrightset="right20">
	<img width="140" height="212" id="image20" src="#" onfocus="enlarge(20)" onblur="normal(20)"/>
</a>
<a id="link21" href="#movie8" name="movies21" onkeydownset="down21" onkeyrightset="right21">
	<img width="140" height="212" id="image21" src="#" onfocus="enlarge(21)" onblur="normal(21)"/>
</a>

<img id="titlebar" src="pictures/titlebar.png"/>

<div id="walltitle">Batman Begins</div>

<div id="walltitle2">Batman Begins</div>
<div id="walltitle3">Batman Begins</div>


<xsl:for-each select="library/movies/movie[@isExtra!='true']">
	<a href="#changefile">
		<xsl:attribute name="name">movie<xsl:value-of select="position()-1"/></xsl:attribute>
		<xsl:attribute name="id">movie<xsl:value-of select="position()-1"/></xsl:attribute>
		<xsl:attribute name="onfocusload"/>
		<xsl:attribute name="onclick">detailtoggle(<xsl:value-of select="position()-1"/>)</xsl:attribute>
		<xsl:attribute name="onfocus">detailtoggle(<xsl:value-of select="position()-1"/>)</xsl:attribute>
	</a>
</xsl:for-each>

<div id="list1" name="list1"  class="moviedetails3">Avatar</div>

<div id="list2" name="list2"  class="moviedetails3">Avatar</div>

<div id="list3" name="list3" class="moviedetails3">Avatar</div>
<div id="list4" name="list4" class="moviedetails3">Avatar</div>
<a href="#movie4" id="list5" name="list5" onkeyupset="listup" onkeydownset="listdown" class="moviedetails3">Avatar</a>
<div id="list6" name="list6" class="moviedetails3">Avatar</div>
<div id="list7" name="list7" class="moviedetails3">Avatar</div>
<div id="list8" name="list8" class="moviedetails3">Avatar</div>
<div id="list9" name="list9" class="moviedetails3">Avatar</div>
<div id="list10" name="list10" class="moviedetails3">Avatar</div>

<img src="#" id="listimage" name="listimage" width="200"/>


  </xsl:template>
</xsl:stylesheet>
